App-SpreadsheetUtils v0.004 Perl 5 v5.10.0 OpenBSD.amd64-openbsd

Status
Na
From
Nigel Horne
Dist
App-SpreadsheetUtils v0.004
Platform
Perl 5 v5.10.0 OpenBSD.amd64-openbsd
Date
2023-05-30T19:25:08
ID
b01d2f2c-ff1f-11ed-ba1b-59e1c7ec7121
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear perlancar,

This is a computer-generated report for App-SpreadsheetUtils-0.004
on perl 5.10.0, created by CPAN-Reporter-1.2019.

Thank you for uploading your work to CPAN.  While attempting to build or test
this distribution, the distribution signaled that support is not available
either for this operating system or this version of Perl.  Nevertheless, any
diagnostic output produced is provided below for reference.  If this is not
what you expect, you may wish to consult the CPAN Testers Wiki:

http://wiki.cpantesters.org/wiki/CPANAuthorNotes

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

this report is from an automated smoke testing program
and was not reviewed by a human for accuracy

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/home/njh/perl5/perlbrew/perls/perl-5.10.0/bin/perl Makefile.PL':

Perl v5.10.1 required--this is only v5.10.0, stopped at Makefile.PL line 5.
BEGIN failed--compilation aborted at Makefile.PL line 5.

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

configure_requires:

    Module              Need Have
    ------------------- ---- ----
    ExtUtils::MakeMaker 0    7.64


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    PATH = /home/njh/perl5/perlbrew/bin:/home/njh/perl5/perlbrew/perls/perl-5.10.0/bin:/home/njh/perl5/perlbrew/bin:/home/njh/src/njh/smoker/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/X11R6/bin:/usr/local/bin:/usr/local/sbin
    PERL = /home/njh/perl5/perlbrew/perls/perl-5.10.0/bin/perl
    PERL5LIB = /home/njh/.cpan/build/SQL-Load-0.05-0/blib/arch:/home/njh/.cpan/build/SQL-Load-0.05-0/blib/lib:/home/njh/.cpan/build/String-CamelCase-0.04-0/blib/arch:/home/njh/.cpan/build/String-CamelCase-0.04-0/blib/lib
    PERL5OPT = -I/tmp/smoker-MSu8O/testwrapper.26175/CPAN-Reporter-lib-sqMJ -MDevel::Autoflush
    PERL5_CPANPLUS_IS_RUNNING = 70608
    PERL5_CPAN_IS_EXECUTING = /home/njh/.cpan/build/App-SpreadsheetUtils-0.004-0/Makefile.PL
    PERL5_CPAN_IS_RUNNING = 70608
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 10174,70608
    PERLBREW_LIB = 
    PERLBREW_MANPATH = /home/njh/perl5/perlbrew/perls/perl-5.10.0/man
    PERLBREW_PATH = /home/njh/perl5/perlbrew/bin:/home/njh/perl5/perlbrew/perls/perl-5.10.0/bin
    PERLBREW_PERL = perl-5.10.0
    PERLBREW_ROOT = /home/njh/perl5/perlbrew
    PERLBREW_SHELLRC_VERSION = 0.97
    PERLBREW_VERSION = 0.97
    PERL_AUTOINSTALL = --defaultdeps
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_LOCAL_LIB_ROOT = 
    PERL_MM_USE_DEFAULT = 1
    PERL_USE_UNSAFE_INC = 1
    SHELL = /usr/local/bin/bash
    TMPDIR = /tmp/smoker-MSu8O/testwrapper.26175

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /home/njh/perl5/perlbrew/perls/perl-5.10.0/bin/perl
    $UID/$EUID = 1000 / 1000
    $GID = 1000 1000 0
    $EGID = 1000 1000 0

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.34    
    CPAN::Meta          2.150010
    Cwd                 3.75    
    ExtUtils::CBuilder  0.280236
    ExtUtils::Command   7.64    
    ExtUtils::Install   2.20    
    ExtUtils::MakeMaker 7.64    
    ExtUtils::Manifest  1.70    
    ExtUtils::ParseXS   3.44    
    File::Spec          3.75    
    JSON                4.09    
    JSON::PP            4.11    
    Module::Build       0.4231  
    Module::Signature   n/a     
    Parse::CPAN::Meta   2.150010
    Test2               1.302191
    Test::Harness       3.44    
    Test::More          1.302191
    YAML                1.30    
    YAML::Syck          1.34    
    version             0.9929  


--

Summary of my perl5 (revision 5 version 10 subversion 0) configuration:
  Platform:
    osname=openbsd, osvers=7.1, archname=OpenBSD.amd64-openbsd
    uname='openbsd vultr2.bandsman.co.uk 7.1 generic#3 amd64 '
    config_args='-de -Dprefix=/home/njh/perl5/perlbrew/perls/perl-5.10.0 -Aeval:scriptdir=/home/njh/perl5/perlbrew/perls/perl-5.10.0/bin'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=undef, usemultiplicity=undef
    useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
    use64bitint=define, use64bitall=define, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-fno-strict-aliasing -pipe -I/usr/local/include',
    optimize='-O2',
    cppflags='-fno-strict-aliasing -pipe -I/usr/local/include'
    ccversion='', gccversion='OpenBSD Clang 13.0.0', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
    ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='cc', ldflags ='-Wl,-E  -L/usr/local/lib'
    libpth=/usr/local/lib /usr/lib
    libs=-lm -lutil -lc
    perllibs=-lm -lutil -lc
    libc=/usr/lib/libc.so.96.1, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version=''
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags=' '
    cccdlflags='-DPIC -fPIC ', lddlflags='-shared -fPIC  -L/usr/local/lib'


Characteristics of this binary (from libperl): 
  Compile-time options: PERL_DONT_CREATE_GVSV PERL_MALLOC_WRAP USE_64_BIT_ALL
                        USE_64_BIT_INT USE_LARGE_FILES USE_PERLIO
  Locally applied patches:
	Devel::PatchPerl 2.08
  Built under openbsd
  Compiled at Sep 28 2022 09:42:08
  %ENV:
    PERL="/home/njh/perl5/perlbrew/perls/perl-5.10.0/bin/perl"
    PERL5LIB="/home/njh/.cpan/build/SQL-Load-0.05-0/blib/arch:/home/njh/.cpan/build/SQL-Load-0.05-0/blib/lib:/home/njh/.cpan/build/String-CamelCase-0.04-0/blib/arch:/home/njh/.cpan/build/String-CamelCase-0.04-0/blib/lib"
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="70608"
    PERL5_CPAN_IS_EXECUTING="/home/njh/.cpan/build/App-SpreadsheetUtils-0.004-0/Makefile.PL"
    PERL5_CPAN_IS_RUNNING="70608"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="10174,70608"
    PERLBREW_LIB=""
    PERLBREW_MANPATH="/home/njh/perl5/perlbrew/perls/perl-5.10.0/man"
    PERLBREW_PATH="/home/njh/perl5/perlbrew/bin:/home/njh/perl5/perlbrew/perls/perl-5.10.0/bin"
    PERLBREW_PERL="perl-5.10.0"
    PERLBREW_ROOT="/home/njh/perl5/perlbrew"
    PERLBREW_SHELLRC_VERSION="0.97"
    PERLBREW_VERSION="0.97"
    PERL_AUTOINSTALL="--defaultdeps"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_LOCAL_LIB_ROOT=""
    PERL_MM_USE_DEFAULT="1"
    PERL_USE_UNSAFE_INC="1"
  @INC:
    /home/njh/.cpan/build/SQL-Load-0.05-0/blib/arch
    /home/njh/.cpan/build/SQL-Load-0.05-0/blib/lib
    /home/njh/.cpan/build/String-CamelCase-0.04-0/blib/arch
    /home/njh/.cpan/build/String-CamelCase-0.04-0/blib/lib
    /home/njh/perl5/perlbrew/perls/perl-5.10.0/lib/5.10.0/OpenBSD.amd64-openbsd
    /home/njh/perl5/perlbrew/perls/perl-5.10.0/lib/5.10.0
    /home/njh/perl5/perlbrew/perls/perl-5.10.0/lib/site_perl/5.10.0/OpenBSD.amd64-openbsd
    /home/njh/perl5/perlbrew/perls/perl-5.10.0/lib/site_perl/5.10.0
    .